import os

DATABASE_URL = os.getenv("DATABASE_URL", "postgresql://patchcenter:PatchCenter2026!@localhost:5432/patchcenter_db")
DATABASE_URL_DEMO = os.getenv("DATABASE_URL_DEMO", "postgresql://patchcenter:PatchCenter2026!@localhost:5432/patchcenter_demo")
SECRET_KEY = os.getenv("SECRET_KEY", "slpm-patchcenter-secret-key-2026-change-in-production")
ALGORITHM = "HS256"
ACCESS_TOKEN_EXPIRE_MINUTES = 60  # 8 heures
APP_NAME = "PatchCenter"
APP_VERSION = "2.0"

# Qualys API
QUALYS_URL = os.getenv("QUALYS_URL", "https://qualysapi.qualys.eu")
QUALYS_USER = os.getenv("QUALYS_USER", "sanef-ae")
QUALYS_PASS = os.getenv("QUALYS_PASS", 'DW:Q\\*"JEZr2tjZ=!Ox4')

# iTop API
ITOP_URL = os.getenv("ITOP_URL", "http://172.28.199.156")
ITOP_USER = os.getenv("ITOP_USER", "admin")
ITOP_PASS = os.getenv("ITOP_PASS", "_Welc0me1854*$")
